Function
readRegion
Load the infix of a sequence from a FaiIndex.
The given region is loaded from the indexed FASTA file.
readRegion(str, faiIndex, refId, beginPos, endPos)
readRegion(str, faiIndex, region);
Include Headers
seqan/seq_io.h
Parameters

str | The sequence infix is written into this string. Types: String
faiIndex | The FaiIndex to query. Types: FaiIndex
refId | The index of the reference in the file. Types: unsigned
beginPos | The begin position of the infix to write to str. Types: unsigned
endPos | The end position of the infix to write to str. Types: unsigned
region | The GenomicRegion to read. Types: GenomicRegion

Member of
FaiIndex
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57